Subject: Re: [netlmm] The term LMA

From: "Damic, Damjan" <[email-masked]>
Date: Fri, 11 May 2007 11:17:03 +0200

Hello Conny et al.,

I believe the notion for using PMIP6 for network-based global-scoped
mobility is not essentially in conflict with the WG charter.

For example,
Section 3.10. of RFC4831 specifies: Goal 10: Localized Mobility
Management Independent of Global Mobility Management
To my understanding this section implies localized mobility management
is provided by the network, where global mobility protocol is run
directly from the mobile nodes.
This requirement will not be broken if the network is able provide a
more advanced service for the nodes which are completely lacking the
mobility support. Those MNs comprising the MIP6 mobile client probably
could/should override this, and manage global mobility on their own...

Also, placement of HA/LMA within a certain part of the network doesn't
categorize protocol local or global by default.
If trying to map the "PMIP6 domain" within an individual SDO
architecture it's not as clear what kind of topology this should be.
Relative MAG-LMA distance might be a matter of perception; it surely
affects the performance (optimizations could solve this), and does make
a constraint to use the same security model, but doesn't seem much more
than that. Am I maybe missing something here?

Regards,
	Damjan

>Date: Fri, 11 May 2007 10:05:55 +0200
>From: Conny Larsson <[email-masked]>
>Subject: Re: [netlmm] The term LMA
>To: "Narayanan, Vidya" <[email-masked]>, 	Basavaraj Patil
>	<[email-masked]>
>Cc: [email-masked]
>Message-ID: <[email-masked]>
>Content-Type: text/plain; charset="iso-8859-1"
>
>Hi Vidya and Raj,
>
>Although I agree with Raj that there is a confusion among the 
>potential customers of PMIP6 as they intend to use PMIP in a 
>global scope whereas the intention of this working group is to 
>use it for local mobility.
>
>However, if the PMIP6 protocol is going to be used for global 
>mobility I believe there are issues that needs to be solved. 
>One that comes to my mid is how to solve route optimization in 
>PMIP6. There are others, Vidya mentioned one, and I'm sure 
>other people will find additional issues that needs to be looked into.
>
>For the SDO's I assume that they have to decide the 
>applicability of the
>PMIP6 protocol based on the current scope of PMIP6. If the 
>SDO's would like to use it for global mobility (which I agree 
>is possible) they have to consider potential trade offs when 
>making the decision.
>
>/Conny
>
>
>Narayanan, Vidya wrote:
>>
>> Hi Raj,
>> The IETF did look at this work space and make a conscious decision 
>> that the applicability of a network-based mobility 
>management protocol 
>> is only appropriate for local mobility.  So, this charter has been 
>> scoped to what was believed to be appropriate.  The intent was never 
>> to have this protocol be applicable for all kinds of global 
>mobility - 
>> the fact that some systems may be considering this protocol 
>for global 
>> mobility is something they need to make a conscious decision on, 
>> keeping in mind that the IETF is only developing this for 
>local mobility.
>>
>> I also don't believe it is a simple charter revision 
>involving removal 
>> of the term "local".  If we had to recommend this protocol 
>for use in 
>> the same scope as MIP6, as seems to be the discussion, we 
>will need to 
>> tackle how cross-domain security associations can be practical and 
>> other features that are feasible with MIP6 as the MN moves across 
>> various domains and heterogeneous technologies.  Extending the scope 
>> is going to require a number of other aspects to be flushed 
>out and I 
>> don't believe is appropriate at this time.  We need to 
>deliver on the 
>> chartered work before we can ask for more things and scope expansion.
>>
>> Regards,
>> Vidya

_______________________________________________
netlmm mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/netlmm

---

From: "KASSI-LAHLOU Mohammed RD-CORE-CAE" <[email-masked]>
Date: Fri, 11 May 2007 12:02:02 +0200

Hi,

I think that there is no dependence between "global mobility" and "host" or between "local mobility" and "network".

Kassi 

-----Message d'origine-----
De : Damic, Damjan [mailto:[email-masked]] 
Envoyé : vendredi 11 mai 2007 11:17
À : [email-masked]; [email-masked]; [email-masked]
Cc : [email-masked]
Objet : Re: [netlmm] The term LMA

Hello Conny et al.,

I believe the notion for using PMIP6 for network-based global-scoped mobility is not essentially in conflict with the WG charter.

For example,
Section 3.10. of RFC4831 specifies: Goal 10: Localized Mobility Management Independent of Global Mobility Management To my understanding this section implies localized mobility management is provided by the network, where global mobility protocol is run directly from the mobile nodes.
This requirement will not be broken if the network is able provide a more advanced service for the nodes which are completely lacking the mobility support. Those MNs comprising the MIP6 mobile client probably could/should override this, and manage global mobility on their own...

Also, placement of HA/LMA within a certain part of the network doesn't categorize protocol local or global by default.
If trying to map the "PMIP6 domain" within an individual SDO architecture it's not as clear what kind of topology this should be.
Relative MAG-LMA distance might be a matter of perception; it surely affects the performance (optimizations could solve this), and does make a constraint to use the same security model, but doesn't seem much more than that. Am I maybe missing something here?

Regards,
	Damjan

>Although I agree with Raj that there is a confusion among the potential 
>customers of PMIP6 as they intend to use PMIP in a global scope whereas 
>the intention of this working group is to use it for local mobility.
>
>However, if the PMIP6 protocol is going to be used for global mobility 
>I believe there are issues that needs to be solved.
>One that comes to my mid is how to solve route optimization in PMIP6. 
>There are others, Vidya mentioned one, and I'm sure other people will 
>find additional issues that needs to be looked into.
>
>For the SDO's I assume that they have to decide the applicability of 
>the
>PMIP6 protocol based on the current scope of PMIP6. If the SDO's would 
>like to use it for global mobility (which I agree is possible) they 
>have to consider potential trade offs when making the decision.
>
>/Conny
>
>
>Narayanan, Vidya wrote:
>>
>> Hi Raj,

---

From: "Damic, Damjan" <[email-masked]>
Date: Fri, 11 May 2007 16:36:24 +0200

Hi Kassi,

It is obviously not as trivial, otherwise we wouldn't be having this discussion :)
I am not claming there should be a dependancy, only reading out loud the RFC text.
"...the mobile nodes can use a global mobility management protocol that best suits their requirements, or not use one at all."

Two different mobility modes, MIP6 and PMIP6, are definitely overlapping in several aspects.
..and there are at least 2-3 drafts currently dealing with those interactions.

Believe the thing all agreeded on was that PMIP6 has the potential for providing global mobility (to which ever type of node), opposing to the currently predetermined "localized" scope. To rephrase my previous though: such PMIP6 deployment maybe doesn't collide with the NETLMM interpretation of global mobility - where MNs are assumed to do global-mobility management themselves?
How the network might handle the concurrent mobility scenarios in the real system (sustain MIP6 session for the hosts capable of doing that, enforce PMIP6 within the administrative domain, etc) is probably not at question here.

Regards,
	Damjan

>-----Original Message-----
>From: KASSI-LAHLOU Mohammed RD-CORE-CAE 
>[mailto:[email-masked]] 
>Sent: Friday, May 11, 2007 12:02 PM
>To: Damic, Damjan; [email-masked]; 
>[email-masked]; Patil, Basavaraj (NSN, US/Irving)
>Cc: [email-masked]
>Subject: RE: [netlmm] The term LMA
>
>Hi,
>
>I think that there is no dependence between "global mobility" 
>and "host" or between "local mobility" and "network".
>
>Kassi 
>
>De : Damic, Damjan [mailto:[email-masked]] Envoyé : 
>vendredi 11 mai 2007 11:17 À : [email-masked]; 
>[email-masked]; [email-masked] Cc : 
>[email-masked] Objet : Re: [netlmm] The term LMA
>
>Hello Conny et al.,
>
>I believe the notion for using PMIP6 for network-based 
>global-scoped mobility is not essentially in conflict with the 
>WG charter.
>
>For example,
>Section 3.10. of RFC4831 specifies: Goal 10: Localized 
>Mobility Management Independent of Global Mobility Management 
>To my understanding this section implies localized mobility 
>management is provided by the network, where global mobility 
>protocol is run directly from the mobile nodes.
>This requirement will not be broken if the network is able 
>provide a more advanced service for the nodes which are 
>completely lacking the mobility support. Those MNs comprising 
>the MIP6 mobile client probably could/should override this, 
>and manage global mobility on their own...
>
>Also, placement of HA/LMA within a certain part of the network 
>doesn't categorize protocol local or global by default.
>Relative MAG-LMA distance might be a matter of perception; it 
>surely affects the performance (optimizations could solve 
>this), and does make a constraint to use the same security 
>model, but doesn't seem much more than that. Am I maybe 
>missing something here?
>
>Regards,
>	Damjan
>
>

---

From: Ashutosh Dutta <[email-masked]>
Date: Fri, 11 May 2007 10:53:55 -0400

So I guess, we can still stay under the provision of the RFC guidelines 
and have PMIP take care of global mobility in some deployment scenarios. 
Admittedly, one has to think about other extensions that might be needed 
to support such scenario.

IMHO, it should be left to the service providers to decide to use

A) PMIPv6 for both global mobility and local mobility
or
B) Use CMIPv6 for global mobility and restrict PMIPv6 to local mobility 
only.

But it would be useful, if we can make PMIPv6 design flexible enough so 
that it is capable of supporting both the cases based on the need. Each 
of the above cases has its own complexity involved. The former case (A) 
needs more complexity in the network and the later case (B) needs more 
complexity in the mobile and warrants interaction between CMIP ad PMIP.

Thanks
Ashutosh